CUDNN Frontend API 8.3.0

Public Types | Public Member Functions | List of all members
nlohmann::ordered_map< Key, T, IgnoredLess, Allocator > Struct Template Reference

`#include <json.hpp>`

Inheritance diagram for nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >:
Collaboration diagram for nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >:

## Public Types
using | key_type = Key
using | mapped_type = T
using | Container = std::vector< std::pair< const Key, T >, Allocator >
template<typename InputIt >
using | require_input_iter = typename std::enable_if< std::is_convertible< typename std::iterator_traits< InputIt >::iterator_category, std::input_iterator_tag >::value >::type

## Public Member Functions
| ordered_map (const Allocator &alloc=Allocator())
template<class It >
| ordered_map (It first, It last, const Allocator &alloc=Allocator())
| ordered_map (std::initializer_list< T > init, const Allocator &alloc=Allocator())
std::pair< iterator, bool > | emplace (const key_type &key, T &&t)
T & | operator[] (const Key &key)
const T & | operator[] (const Key &key) const
T & | at (const Key &key)
const T & | at (const Key &key) const
size_type | erase (const Key &key)
iterator | erase (iterator pos)
size_type | count (const Key &key) const
iterator | find (const Key &key)
const_iterator | find (const Key &key) const
std::pair< iterator, bool > | insert (value_type &&value)
std::pair< iterator, bool > | insert (const value_type &value)
template<typename InputIt , typename = require_input_iter<InputIt>>
void | insert (InputIt first, InputIt last)

## Detailed Description

### template<class Key, class T, class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>
struct nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >

ordered_map: a minimal map-like container that preserves insertion order for use within nlohmann::basic_json<ordered_map>

Definition at line 3393 of file json.hpp.

## Member Typedef Documentation

## ◆ Container

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

using nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::Container = std::vector<std::pair<const Key, T>, Allocator>

Definition at line 16929 of file json.hpp.

## ◆ key_type

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

using nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::key_type = Key

Definition at line 16927 of file json.hpp.

## ◆ mapped_type

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

using nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::mapped_type = T

Definition at line 16928 of file json.hpp.

## ◆ require_input_iter

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>
template<typename InputIt >

using nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::require_input_iter = typename std::enable_if<std::is_convertible<typename std::iterator_traits<InputIt>::iterator_category, std::input_iterator_tag>::value>::type

Definition at line 17082 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ ordered_map() [1/3]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::ordered_map | ( | const Allocator & | alloc = `Allocator()` | ) |
| inline

Definition at line 16937 of file json.hpp.

## ◆ ordered_map() [2/3]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>
template<class It >

nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::ordered_map | ( | It | first,
|  | It | last,
|  | const Allocator & | alloc = `Allocator()`
| ) |  |
| inline

Definition at line 16939 of file json.hpp.

## ◆ ordered_map() [3/3]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::ordered_map | ( | std::initializer_list< T > | init,
|  | const Allocator & | alloc = `Allocator()`
| ) |  |
| inline

Definition at line 16941 of file json.hpp.

## Member Function Documentation

## ◆ at() [1/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

T& nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::at | ( | const Key & | key | ) |
| inline

Definition at line 16967 of file json.hpp.

References JSON_THROW.

## ◆ at() [2/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

const T& nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::at | ( | const Key & | key | ) | const
| inline

Definition at line 16980 of file json.hpp.

References JSON_THROW.

## ◆ count()

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

size_type nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::count | ( | const Key & | key | ) | const
| inline

Definition at line 17026 of file json.hpp.

## ◆ emplace()

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

std::pair<iterator, bool> nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::emplace | ( | const key_type & | key,
|  | T && | t
| ) |  |
| inline

Definition at line 16944 of file json.hpp.

## ◆ erase() [1/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

size_type nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::erase | ( | const Key & | key | ) |
| inline

Definition at line 16993 of file json.hpp.

## ◆ erase() [2/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

iterator nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::erase | ( | iterator | pos | ) |
| inline

Definition at line 17012 of file json.hpp.

## ◆ find() [1/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

iterator nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::find | ( | const Key & | key | ) |
| inline

Definition at line 17038 of file json.hpp.

## ◆ find() [2/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

const_iterator nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::find | ( | const Key & | key | ) | const
| inline

Definition at line 17050 of file json.hpp.

## ◆ insert() [1/3]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

std::pair<iterator, bool> nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::insert | ( | value_type && | value | ) |
| inline

Definition at line 17062 of file json.hpp.

References nlohmann::detail::value.

## ◆ insert() [2/3]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

std::pair<iterator, bool> nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::insert | ( | const value_type & | value | ) |
| inline

Definition at line 17067 of file json.hpp.

## ◆ insert() [3/3]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>
template<typename InputIt , typename = require_input_iter<InputIt>>

void nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::insert | ( | InputIt | first,
|  | InputIt | last
| ) |  |
| inline

Definition at line 17085 of file json.hpp.

References NLOHMANN_BASIC_JSON_TPL_DECLARATION.

## ◆ operator[]() [1/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

T& nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::operator[] | ( | const Key & | key | ) |
| inline

Definition at line 16957 of file json.hpp.

## ◆ operator[]() [2/2]

template<class Key , class T , class IgnoredLess = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>>

const T& nlohmann::ordered_map< Key, T, IgnoredLess, Allocator >::operator[] | ( | const Key & | key | ) | const
| inline

Definition at line 16962 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp